| Qore Programming Language - C/C++ Library 1.0.8

Static Public Member Functions | List of all members
ParseOptionMap Class Reference

provides access to parse option information More...

`#include <ParseOptionMap.h>`

## Static Public Member Functions
static DLLEXPORT int | find_code (const char *name)
| find a parse option code from its name More...
static DLLEXPORT int64 | find_code64 (const char *name)
| find a parse option code from its name
static DLLEXPORT const char * | find_name (int code)
| find a parse option name from its code
static DLLEXPORT void | list_options ()
| print out all parse optionsto stdout

## Detailed Description

provides access to parse option information

## Member Function Documentation

## ◆ find_code()

static DLLEXPORT int ParseOptionMap::find_code | ( | const char * | name | ) |
| static

find a parse option code from its name

Deprecated:
  : do not use; uses the wrong return type; use find_code64() instead

The documentation for this class was generated from the following file:

- include/qore/ParseOptionMap.h